| kspaceFirstOrder3D-CUDA 1.1 The CUDA/C++ implementation of the k-wave toolbox for the time-domain simulation of acoustic wave fields in 3D

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Attributes | List of all members
TTimeMeasure Class Reference

Class measuring elapsed time. More...

`#include <TimeMeasure.h>`

## Public Member Functions
| TTimeMeasure ()
| Default constructor.
virtual | ~TTimeMeasure ()
| Destructor.
| TTimeMeasure (const TTimeMeasure &src)
| Copy constructor. More...
TTimeMeasure & | operator= (const TTimeMeasure &src)
| operator = More...
void | Start ()
| Get start timestamp.
void | Stop ()
| Get stop timestamp.
double | GetElapsedTime () const
| Get elapsed time. More...
double | GetCumulatedElapsedTimeOverAllLegs () const
| Get cumulated elapsed time over all simulation legs. More...
double | GetCumulatedElapsedTimeOverPreviousLegs () const
| Get time spent in previous legs. More...
void | SetCumulatedElapsedTimeOverPreviousLegs (const double elapsedTime)
| Set elapsed time in previous legs of the simulation. More...

## Private Attributes
double | startTime
| Start timestamp of the interval.
double | stopTime
| Stop timestamp of the interval.
double | cumulatedElapsedTimeOverPreviousLegs
| Elapsed time in previous simulation legs.

## Detailed Description

Class measuring elapsed time, even over multiple leg simulations.

Definition at line 55 of file TimeMeasure.h.

## Constructor & Destructor Documentation

TTimeMeasure::TTimeMeasure | ( | const TTimeMeasure & | src | ) |
| inline

Copy constructor.

Parameters

  [in] | src | - The other class to copy from

Definition at line 74 of file TimeMeasure.h.

## Member Function Documentation

double TTimeMeasure::GetCumulatedElapsedTimeOverAllLegs | ( |  | ) | const
| inline

Get cumulated elapsed time over all simulation legs.

Returns
  elapsed time all (including this one) legs.

Definition at line 150 of file TimeMeasure.h.

Here is the caller graph for this function:

double TTimeMeasure::GetCumulatedElapsedTimeOverPreviousLegs | ( |  | ) | const
| inline

Returns
  elapsed time over previous legs.

Definition at line 159 of file TimeMeasure.h.

Here is the caller graph for this function:

double TTimeMeasure::GetElapsedTime | ( |  | ) | const
| inline

Get elapsed time.

Returns
  elapsed time between start timestamp and stop timestamp.

Definition at line 140 of file TimeMeasure.h.

Here is the caller graph for this function:

TTimeMeasure& TTimeMeasure::operator= | ( | const TTimeMeasure & | src | ) |
| inline

operator =

Parameters

  [in] | src | - source

Returns

Definition at line 86 of file TimeMeasure.h.

void TTimeMeasure::SetCumulatedElapsedTimeOverPreviousLegs | ( | const double | elapsedTime | ) |
| inline

Set elapsed time in previous legs of the simulation.

Parameters

  [in] | elapsedTime | - Elapsed time

Definition at line 169 of file TimeMeasure.h.

The documentation for this class was generated from the following file:

- Utils/TimeMeasure.h